=== debian/changelog ===
itsalltext (1.4.1-1) unstable; urgency=low

  * New upstream release.
    + Take source from git://gerf.org/itsalltext.git (Closes: #559971)
    + Works with iceweasel 3.5.5 (Closes: #557246)
  * Bump debhelper version to 7.
  * Adjust debian/rules to build package from source.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fix debian/watch to detect all versions.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 13 Feb 2010 21:14:38 +0100

itsalltext (1.3.1-2) unstable; urgency=low

  * Use mozilla-devscripts 0.16 and cdbs.
  * Add myself to uploaders.
  * Correct Vcs-Browser address.
  * Bump Standards-Version to 3.8.4.
  * Update debian/watch file.
  * Rename binary package from iceweasel-itsalltext to xul-ext-itsalltext
    according to new policy.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 28 Jan 2010 11:17:20 +0100

itsalltext (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Move to pkg-mozext
  * Update watch file

 -- Jan Lübbe <jluebbe@debian.org>  Tue, 19 May 2009 12:09:26 +0200

itsalltext (1.3-1) unstable; urgency=low

  * New upstream release
  * Localization for zh-CN is now available (closes: #496492)

 -- Jan Lübbe <jluebbe@debian.org>  Wed, 18 Feb 2009 13:00:03 +0100

itsalltext (1.1-1) unstable; urgency=low

  * New upstream release (closes: #505412)
  * Update to current policy (3.8.0, no changes)

 -- Jan Lübbe <jluebbe@debian.org>  Tue, 09 Dec 2008 15:29:26 +0100

itsalltext (0.8.5-1) unstable; urgency=low

  * New upstream release (closes: #482923)
  * Add watch file

 -- Jan Lübbe <jluebbe@debian.org>  Mon, 26 May 2008 14:41:38 +0200

itsalltext (0.8.2-1) unstable; urgency=low

  * Initial release (closes: #456183)

 -- Jan Luebbe <jluebbe@debian.org>  Sun, 23 Dec 2007 22:11:35 +0100
