=== debian/control ===
Source: itsalltext
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Jan Lübbe <jluebbe@debian.org>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7), mozilla-devscripts (>= 0.16~)
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://addons.mozilla.org/firefox/4125
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/itsalltext.git;a=summary
Vcs-Git: git://git.debian.org/pkg-mozext/itsalltext.git

Package: xul-ext-itsalltext
Architecture: all
Depends: ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Replaces: iceweasel-itsalltext (<< 1.3.1-2)
Description: Iceweasel/Firefox extension to edit textareas using an external editor
 It's All Text! is a Firefox/Iceweasel extension which allows you to
 edit textareas using an external editor.
 .
 At the bottom right corner of any edit box, a little edit button will
 appear. Clicking this button will open an external editor with the
 content of the edit box, which will be updated every time you save.

Package: iceweasel-itsalltext
Architecture: all
Depends: xul-ext-itsalltext, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the iceweasel-itsalltext to the new xul-ext-itsalltext package.
 You can remove it safely.
