=== debian/rules ===
#!/usr/bin/make -f

MOZ_XPI_BUILD_COMMAND := $(MAKE) release

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

clean::
	$(MAKE) clean
