=== debian/changelog ===
itsalltext (1.6.3-1) unstable; urgency=low

  [ Fabrizio Regalli ]
  * Added myself to Uploaders
  * Removed cbds from Depends
  * Switch to mozilla-devscripts (>= 0.22)
  * Switch to standard d/rules
  * Update d/compat to 8
  * Removed transitional dummy package iceweasel-itsalltext
  * Imported Upstream version 1.6.3 (Closes: #640257)
  * Convert to dh 8 without buildsystem
  * Added get-orig-source rule
  * Added README.source file

  [ Michael Schutte ]
  * Update debian/copyright and convert it to DEP-5.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 07 Oct 2011 09:24:08 +0200

itsalltext (1.5.2-1) unstable; urgency=low

  * New upstream release.
    - Supports Iceweasel up to version 6, closes: #631934.
  * Drop patch update-max-version.
  * Breaks: instead of Conflicts: for iceweasel-itsalltext << 1.3.1-2 as
    per Policy 7.4.
  * Update debian/watch to find the current incarnation of the .xpi
    filename, closes: #631937.  Thanks to Sven Joachim <svenjoac@gmx.de>
    for the patch.
  * Add myself to Uploaders.

 -- Michael Schutte <michi@debian.org>  Wed, 27 Jul 2011 20:51:53 +0200

itsalltext (1.5-1) unstable; urgency=low

  * New upstream release
    + Works with iceweasel 4.0 (closes: #591685)
  * Add ${xpi:Depends} to Depends
  * Add a patch to update compatibility information
  * Declare Conflicts agains old iceweasel-itsalltext to avoid having two
    different versions unpacked at the same time.
  * Update Standards-Version to 3.9.2

 -- Jan Lübbe <jluebbe@debian.org>  Fri, 15 Apr 2011 11:21:55 +0200
