=== debian/control ===
Source: itsalltext
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.22~)
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://addons.mozilla.org/firefox/4125
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/itsalltext.git
Vcs-Git: git://git.debian.org/pkg-mozext/itsalltext.git

Package: xul-ext-itsalltext
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Iceweasel/Firefox extension to edit textareas using an external editor
 It's All Text! is a Firefox/Iceweasel extension which allows you to
 edit textareas using an external editor.
 .
 At the bottom right corner of any edit box, a little edit button will
 appear. Clicking this button will open an external editor with the
 content of the edit box, which will be updated every time you save.
