=== debian/changelog ===
itsalltext (1.6.4-1) unstable; urgency=low

  * Imported Upstream version 1.6.4
  * Bump Standards-Version to 3.9.3
  * Update d/copyright as in Debian policy 3.9.3
  * Add 2012 year for debian/* copyright files
  * Remove no more needed 01-bump-maxversion.diff patch: Iceweasel
    does not check anymore max/min version

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 23 May 2012 17:55:52 +0200

itsalltext (1.6.3-2) unstable; urgency=low

  * Added 01-bump-maxversion.diff patch for working
    with all version of Iceweasel (Closes: #645114) 

 -- Fabrizio Regalli <fabreg@fabreg.it>  Fri, 23 Dec 2011 15:25:45 +0100
