=== debian/rules ===
#!/usr/bin/make -f

REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]svn([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')


%:
	dh $@ --with xul-ext

override_dh_auto_build:
	make release

override_dh_auto_install:
	install-xpi -x gpl.txt itsalltext-*.xpi

override_dh_auto_clean:
	make clean
	rm -f itsalltext-*.xpi

get-orig-source:
	rm -rf itsalltext-$(VER)
	git clone https://github.com/docwhat/itsalltext.git \
	itsalltext-$(VER)
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			--exclude .git --exclude .gitignore \
			-f itsalltext_$(VER).orig.tar.gz \
			itsalltext-$(VER)
	rm -rf itsalltext-$(VER)
