=== debian/watch ===
version=3
http://ftp.mozilla.org/pub/mozilla.org/addons/4125/it[_]*s_all_text!?-([\d\.]*)-[a-z+]+\.xpi
