## itsalltext 1.8.1

=== debian/changelog ===
itsalltext (1.8.1-2) unstable; urgency=medium

  * Team upload
  * Bump Standards Version
  * Extend FTBFS workaround to Ruby >= 1.9 (Closes: #739774)

 -- David Prévot <taffit@debian.org>  Sun, 30 Mar 2014 13:26:39 -0400

itsalltext (1.8.1-1) unstable; urgency=low

  * Team upload

  [ Benjamin Drung ]
  * debian/control: Remove DM-Upload-Allowed field.

  [ David Prévot ]
  * Imported Upstream version 1.8.1
  * Remove now useless versionning for mozilla-devscripts
  * Bump standards version to 3.9.4
  * Fix Homepage
  * Update Vcs- to canonical URI
  * Add Breaks for xul-ext
  * Shorten synopsis
  * Update watch to actual sources
  * Use rake and --buildsystem=xul_ext
  * Add upstream changelog
  * Set up Encoding::UTF_8 in Rakefile

 -- David Prévot <taffit@debian.org>  Thu, 18 Jul 2013 12:22:57 -0400
