=== debian/control ===
Source: itsalltext
Section: web
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8), mozilla-devscripts, rake, ruby-paint
Standards-Version: 3.9.5
Homepage: https://addons.mozilla.org/firefox/addon/its-all-text/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/itsalltext.git
Vcs-Git: git://anonscm.debian.org/pkg-mozext/itsalltext.git

Package: xul-ext-itsalltext
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: extension to edit textareas using an external editor
 It's All Text! is a Firefox/Iceweasel extension which allows you to
 edit textareas using an external editor.
 .
 At the bottom right corner of any edit box, a little edit button will
 appear. Clicking this button will open an external editor with the
 content of the edit box, which will be updated every time you save.
