=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	rake
	dh_auto_build -O--buildsystem=xul_ext

override_dh_auto_install:
	install-xpi -x gpl.txt itsalltext-*.xpi

override_dh_auto_clean:
	rake clean
	rm -f itsalltext-*.xpi
	dh_auto_clean -O--buildsystem=xul_ext

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

get-orig-source:
	uscan --verbose --rename --force
