=== debian/watch ===
version=3
https://github.com/docwhat/itsalltext/releases /docwhat/itsalltext/archive/release-([\d\.]*).tar.gz
