## itsalltext 1.9.2

=== debian/changelog ===
itsalltext (1.9.2-2) unstable; urgency=medium

  * Team upload
  * Drop Iceweasel from description
  * Update Standards-Version to 3.9.7
  * Rebuild with recent mozilla-devscripts to be ready for Firefox

 -- David Prévot <taffit@debian.org>  Sat, 26 Mar 2016 16:42:46 -0400

itsalltext (1.9.2-1) unstable; urgency=medium

  * Team upload

  [ Xabier Oneca ]
  * Really recover last used file when more than one previous file exist

  [ Christian Höltje ]
  * v1.9.2

 -- David Prévot <taffit@debian.org>  Fri, 30 Oct 2015 16:18:48 -0400

itsalltext (1.9.1-2) unstable; urgency=medium

  * Team upload, to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Fri, 15 May 2015 16:01:19 -0400

itsalltext (1.9.1-1) experimental; urgency=medium

  * Team upload

  [ Christian Höltje ]
  * Don't fail if an unknown error is thrown
  * v1.9.1

 -- David Prévot <taffit@debian.org>  Sat, 28 Feb 2015 11:14:31 -0400

itsalltext (1.9.0-1) experimental; urgency=medium

  * Team upload, to experimental to respect the freeze

  [ Christian Höltje ]
  * v1.9.0

  [ David Prévot ]
  * Workaround FTBFS in minimal chroot
  * Drop Fabrizio Regalli from uploaders (Closes: #761848)
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Tue, 24 Feb 2015 18:07:26 -0400
