=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
+Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>
 Build-Depends: debhelper (>= 8), mozilla-devscripts, rake, ruby-paint
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: https://addons.mozilla.org/firefox/addon/its-all-text/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/itsalltext.git
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/itsalltext.git
@@ -17,7 +17,7 @@
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Description: extension to edit textareas using an external editor
- It's All Text! is a Firefox/Iceweasel extension which allows you to
+ It's All Text! is a Firefox extension which allows you to
  edit textareas using an external editor.
  .
  At the bottom right corner of any edit box, a little edit button will
