## itsalltext 1.9.3

=== debian/changelog ===
itsalltext (1.9.3-1) unstable; urgency=medium

  * Team upload

  [ Christian Höltje ]
  * Removed double close buttons in preferences
  * v1.9.3

  [ David Prévot ]
  * Update Standards-Version to 4.0.0

 -- David Prévot <taffit@debian.org>  Wed, 02 Aug 2017 15:00:24 -0400
