=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Jan Lübbe <jluebbe@debian.org>, Michael Schutte <michi@debian.org>
 Build-Depends: debhelper (>= 8), mozilla-devscripts, rake, ruby-paint
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: https://addons.mozilla.org/firefox/addon/its-all-text/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/itsalltext.git
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/itsalltext.git
